﻿********WARNING!!!!
*Syntax stellt ersten Entwurf dar; Vorgehen jedoch noch nicht abgesichert. 
*Zunächst noch Literaturrecherche und Rücksprache mit URS und Entwicklern notwendig, bevor Version online gestellt werden kann

*************************************************************************************
***Selbstversion für KINDL Asthma-Modul
***Asthma_KINDLModul_KinderJugend_Deutsch.

***Anmerkung:
*Höhere Werte spiegeln eine bessere gesundheitsbezogene Lebensqualität wieder.
*Item 1-12 werden zusammengefasst zu einer Skala
(siehe Bullinger et al. (2006) Quality of life—evaluation criteria for children with chronic conditions in medical care).
*Item 13-15 werden als Zusatzinformationen gehandhabt, aber nicht in einer Skala erfasst.

*********Umpolung der Rohwerte.
*Negative gepolte Items.
RECODE c_ast_01 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_01. 
RECODE c_ast_02 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_02. 
RECODE c_ast_03 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_03. 
RECODE c_ast_04 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_04. 
RECODE c_ast_05 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_05. 
RECODE c_ast_06 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_06. 
RECODE c_ast_07 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_07. 
RECODE c_ast_08 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_08. 
RECODE c_ast_09 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_09. 
RECODE c_ast_10 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_10. 
RECODE c_ast_11 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_11. 
RECODE c_ast_13 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_13. 
RECODE c_ast_14 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_14. 
RECODE c_ast_15 (5=1) (4=2) (3=3) (2=4) (1=5) INTO c_xst_15. 

*Positive gepolte Items.
RECODE c_ast_12 (5=5) (4=4) (3=3) (2=2) (1=1) INTO c_xst_12. 

VARIABLE LABELS
c_xst_01 'bin ich nachts wegen des Asthmas aufgewacht'
c_xst_02 'habe ich beim Atmen ein Brummen oder Pfeifen gespürt'
c_xst_03 'hatte ich Angst vor einem Anfall'
c_xst_04 'hat mich das Inhalieren und die Medikamente genervt'
c_xst_05 'habe ich mich wegen des Asthmas geschämt'
c_xst_06 'war ich wegen des Asthmas mit sich selbst unzufrieden'
c_xst_07 'gab es wegen meines Asthmas Ärger zu Hause'
c_xst_08 'haben mir meine Eltern wegen des Asthmas Dinge verboten'
c_xst_09 'wurde ich wegen des Asthmas von anderen geärgert'
c_xst_10 'wurde ich wegen des Asthmas ausgeschlossen, wenn andere etwas zusammen machten'
c_xst_11 'konnte mein Kind sich wegen meines Asthmas schlecht konzentrieren'
c_xst_12 'war ich beim Sport genauso gut wie Klassenkameraden oder Freunde'
c_xst_13 'Wie häufig hast Du in der letzten Woche Atembeschwerden (Asthma) gehabt?'
c_xst_14 'Wie stark waren Deine Atembeschwerden in der letzten Woche?'
c_xst_15 'Wie sehr haben Dich Deine Atembeschwerden in der letzten Woche gestört?'.
EXECUTE.

VALUE LABELS
c_xst_01 c_xst_02 c_xst_03 c_xst_04 c_xst_05 c_xst_06 c_xst_07 c_xst_08 c_xst_09 c_xst_10 c_xst_11 c_xst_13
1 'immer'
2 'oft'
3 'manchmal'
4 'selten'
5 'nie'.
EXECUTE.

VALUE LABELS
c_xst_14
1 'sehr stark'
2 'ziemlich'
3 'mittelmäßig'
4 'etwas'
5 'gar keine'.
EXECUTE.

VALUE LABELS
c_xst_15
1 'sehr'
2 'ziemlich'
3 'mittelmäßig'
4 'etwas'
5 'gar keine'.
EXECUTE.

VALUE LABELS
c_xst_12
1 'nie'
2 'selten'
3 'manchmal'
4 'oft'
5 'immer'.
EXECUTE.

****Gesamtskala.
*Berechnung Summenscore.
COMPUTE ast_mean = mean.8(c_xst_01, c_xst_02, c_xst_03, c_xst_04, c_xst_05, c_xst_06, c_xst_07, c_xst_08, c_xst_09, c_xst_10, c_xst_11, c_xst_12).
EXECUTE.

COMPUTE ast_sum = ast_mean*12.
EXECUTE.

*Berechnung auf 100 trandsformierte Skala.
COMPUTE ast_100 = ((ast_sum-12)/48)*100.
EXECUTE.

VARIABLE LABELS
ast_mean 'KINDL - Asthma-Modul Mittelwert'
ast_sum 'KINDL - Asthma-Modul Summe'
ast_100 'KINDL - Asthma-Modul 100'.
EXECUTE.


SORT CASES BY id.
EXECUTE.

